Bug 9634 - default misconfiguration
: default misconfiguration
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dovecot)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-29 23:03 by
Modified: 2006-07-04 05:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-29 23:03:14
конфиг практически из коробки:

May 29 22:54:27 postie dovecot: imap-login: Login: user=<username>,
method=plain, rip=xx.xx.xx.xx, lip=xx.xx.xx.xx, TLS
May 29 22:54:28 postie dovecot: IMAP(username):
open(/var/mail/.temp.postie.domain.ru.32685.0bfddab6447f2997) failed: Permission
denied
May 29 22:54:28 postie dovecot: IMAP(username): file_lock_dotlock() failed with
mbox file /var/mail/username: Permission denied

а все потому, что в конфиге:

mbox_write_locks = dotlock fcntl

но с другой стороны, mail_extra_group пустое, хотя рядом сказано:

# Grant access to these extra groups for mail processes. Typical use would be
# to give "mail" group write access to /var/mail to be able to create dotlocks.
# mail_extra_groups = 

бишь или extra_group = mail сделайте, или dotlock вынесите нафиг. или уж
задокументируйте в post_install :[]
------- Comment #1 From 2006-06-22 23:14:43 -------
fixed in dovecot-1.0-alt1.cvs20060622
------- Comment #2 From 2006-07-03 16:02:09 -------
Новая проблема:
без установленной переменной pop3_uidl_format не работает pop3. Точнее,
коннектится, но пользователю письма не показываются. В логах следующее: 
pop3_uidl_format setting is missing from config file
------- Comment #3 From 2006-07-03 17:03:59 -------
Автор dovecot'а сознательно оставил этот параметр непоределённым, чтобы
человек,
устанавливающий dovecot для обслуживания POP3 протокола выбрал подходящее ему
значение, так как нет возможности выбрать что-нибудь одно, что бы удовлетворило
всех. Если вы считаете что есть основания предпочесть одно из возможных
значений, скажите какое и объясните почему. 
------- Comment #4 From 2006-07-03 17:13:54 -------
Значит нужно поставить fail safe, который он рекомендует в комментариях. Тот,
кто знает, что такое UIDL и зачем его менять, разберется, если нужно будет
поменять. Я впервые встретил pop3-сервер, в котором нужно обязательно это
устанавливать при его настройке :-/ Imho, лучше сделать default. Если идти
таким
путём, то можно на половину параметров mandatory setup поставить. 
------- Comment #5 From 2006-07-03 17:53:51 -------
Хорошо, сделаю.
------- Comment #6 From 2006-07-04 05:47:10 -------
fixed in new build (-alt3)